/*
  vpu_dev.h: sample code for vpu deivces
 
 	Copyright (C) 2000  Sony Computer Entertainment Inc.
 
  This file is subject to the terms and conditions of the GNU Library
  General Public License Version 2. See the file "COPYING.LIB" in the 
  main directory of this archive for more details.
*/


typedef struct vpudev_struct VPUDEV;

void vpudev_reset(VPUDEV *dev);
void vpudev_start(VPUDEV *dev, unsigned int start);
int vpudev_busy(VPUDEV *dev);

VPUDEV * vpudev_open(int vpu);
void vpudev_close(VPUDEV *pvpu);

void * vpudev_text(VPUDEV *pvpu);
void * vpudev_data(VPUDEV *pvpu);



#define CP2_STATUS	"$16"
#define CP2_MAC		"$17"
#define CP2_CLIPPING	"$18"

#define CP2_R		"$20"
#define CP2_I		"$21"
#define CP2_Q		"$22"

#define CP2_TCP		"$26"
#define CP2_CMSAR0	"$27"
#define CP2_FBRST	"$28"
#define 	RS0	0x2		// VPU0 reset
#define 	DE0	0x4		// VPU0 D enable
#define 	TE0	0x8		// VPU0 T enable
#define 	RS1	0x200		// VPU1 reset
#define 	DE1	0x400		// VPU1 D enable
#define 	TE1	0x800		// VPU1 T enable

#define CP2_VPU_STAT	"$29"
#define 	VBS0		0x1	// VPU0 busy
#define 	VBS1		0x100	// VPU1 busy

#define CP2_CMSAR1	"$31"
