/*
  vpu_event.c: sample code for vpu deivces
 
 	Copyright (C) 2000  Sony Computer Entertainment Inc.
 
  This file is subject to the terms and conditions of the GNU Library
  General Public License Version 2. See the file "COPYING.LIB" in the 
  main directory of this archive for more details.
*/

#include <sys/types.h>
#include <sys/fcntl.h>
#include <unistd.h>
#include <sys/mman.h>
#include <linux/ps2/dev.h>
#include <errno.h>

int vpuevent_open(void)
{
	int fd;
	int i;
	fd = open(PS2_DEV_EVENT, O_RDONLY);
	if (fd<0){
		static char err[128];
		sprintf(err, "%s:open", PS2_DEV_EVENT);
		perror(err);
		return -1;
	}
	i = ioctl(fd, PS2IOC_ENABLEEVENT,(PS2EV_VU0|PS2EV_VU1));
	if (i<0) {
		static char err[128];
		sprintf(err, "%s:PS2IOC_ENABLEEVENT", PS2_DEV_EVENT);
		perror(err);
		return -1;
	}
	return fd;
}

int vpuevent_wait(int fd)
{
	int m;
	m=ioctl (fd, PS2IOC_WAITEVENT, (PS2EV_VU0|PS2EV_VU1));
	m = m ^ (PS2EV_VU0|PS2EV_VU1);
	if (m) 
		ioctl (fd, PS2IOC_WAITEVENT, m);
}
	
int vpuevent_close(int fd)
{
	close(fd);
}
