/*
  vpu_kick.c: sample code for vpu deivces
 
 	Copyright (C) 2000  Sony Computer Entertainment Inc.
 
  This file is subject to the terms and conditions of the GNU Library
  General Public License Version 2. See the file "COPYING.LIB" in the 
  main directory of this archive for more details.
*/

#include <stdio.h>
#include <unistd.h>
#include "vpu_file.h"
#include "vpu_dev.h"

int main()
{
	VPUFILE *vfd;
	VPUDEV *vdev;
	VPUDEV *vdev0, *vdev1;
	unsigned int *vumem;
	unsigned int *umem;

	void *dstart;
	unsigned int dsize;
	void *start;
	unsigned int size;

	int i;

	// Open VPU devices
	// 	VPU0 must be opend before VPU1
	vdev0 = vpudev_open(0);	
	if (vdev0 == (void *)-1) {
		perror("vpu0");
	}
	vdev1 = vpudev_open(1);
	if (vdev1 == (void *)-1) {
		perror("vpu1");
	}


	fprintf(stderr, "VPU0... reset\n");
	// Reset VPU
	vpudev_reset(vdev0);
	fprintf(stderr, "VPU1... reset\n");
	// Reset VPU
	vpudev_reset(vdev1);


	// Open and map VPU object file.
	vfd = vpuobj_open("vpu_sample.elf", O_TEXT_PS2MEM|O_DATA_PS2MEM);
	if (vfd<0) {
		perror("vpu_open");
		exit(1);
	}

	// test
	i = mat4x4_test(vdev0, vdev1, vfd);

	// Release VPU object file.
	vpuobj_close(vfd);


	// Close VPU devices
	// 	VPU1 must be closed before VPU0
	vpudev_close(vdev1);
	vpudev_close(vdev0);

	return i;
}

